Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.tools.jsonrpc
Class ProcedureDescription

    java.lang.Object
      com.rabbitmq.tools.jsonrpc.ProcedureDescription

    public class ProcedureDescription

extends java.lang.Object

Description of a single JSON-RPC procedure.

Field Summary
`java.lang.String` | `help` Human-readable instructions for how to get information on the procedure's operation
`boolean` | `idempotent` True if this procedure is idempotent, that is, can be accessed via HTTP GET
`java.lang.String` | `name` Procedure name
`java.lang.String` | `summary` Human-readable procedure summary

Constructor Summary
`ProcedureDescription()`
`ProcedureDescription(java.util.Map<java.lang.String,java.lang.Object> pm)`
`ProcedureDescription(java.lang.reflect.Method m)`

Method Summary
`int` | `arity()` Retrieves the parameter count for this procedure
`ParameterDescription[]` | `getParams()`
`java.lang.String` | `getReturn()` Getter for return type
`java.lang.reflect.Method` | `internal_getMethod()` Private API - used to get the reflected method object, for servers
`ParameterDescription[]` | `internal_getParams()` Gets an array of parameter descriptions for all this procedure's parameters
`void` | `setReturn(java.lang.String value)` Private API - used via reflection during parsing/loading

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

  Procedure name

### summary

    public java.lang.String summary

  Human-readable procedure summary

### help

    public java.lang.String help

  Human-readable instructions for how to get information on the procedure's operation

### idempotent

    public boolean idempotent

  True if this procedure is idempotent, that is, can be accessed via HTTP GET

Constructor Detail

### ProcedureDescription

    public ProcedureDescription(java.util.Map<java.lang.String,java.lang.Object> pm)

### ProcedureDescription

    public ProcedureDescription(java.lang.reflect.Method m)

### ProcedureDescription

    public ProcedureDescription()

Method Detail

### getReturn

    public java.lang.String getReturn()

  Getter for return type

### setReturn

    public void setReturn(java.lang.String value)

  Private API - used via reflection during parsing/loading

### internal_getMethod

    public java.lang.reflect.Method internal_getMethod()

  Private API - used to get the reflected method object, for servers

### internal_getParams

    public ParameterDescription[] internal_getParams()

  Gets an array of parameter descriptions for all this procedure's parameters

### arity

    public int arity()

  Retrieves the parameter count for this procedure

### getParams

    public ParameterDescription[] getParams()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD